Bug 1459328 - atomic devmode - no boot menu in f26AH
atomic devmode - no boot menu in f26AH
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: atomic-devmode (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Lebon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 15:50 EDT by Dusty Mabe
Modified: 2017-06-07 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-07 12:36:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dusty Mabe 2017-06-06 15:50:48 EDT
No atomic devmode boot menu entry in FAH:

[root@localhost ~]# rpm-ostree status
State: idle
Deployments:
● fedora-atomic:fedora/26/x86_64/atomic-host
             Version: 26.51 (2017-05-31 15:32:01)
              Commit: 770ae054136d69c69e81f8860be99290472371e20bed2abdce1c1a9468259935
[root@localhost ~]# rpm -q atomic-devmode
atomic-devmode-0.3.6-2.fc26.noarch


# cat /boot/efi/EFI/fedora/grub.cfg | grep devmode | wc -l
0
Comment 1 Jonathan Lebon 2017-06-07 12:16:45 EDT
Can you give more details to reproduce this? What image did you use?
Comment 2 Dusty Mabe 2017-06-07 12:20:34 EDT
I used an ISO and did a normal interactive install:
Fedora-Atomic-ostree-x86_64-26-20170531.n.0.iso

https://kojipkgs.fedoraproject.org/compose/branched/Fedora-26-20170531.n.0/compose/Atomic/x86_64/iso/Fedora-Atomic-ostree-x86_64-26-20170531.n.0.iso
Comment 3 Jonathan Lebon 2017-06-07 12:27:14 EDT
But Developer Mode is only currently being installed in the cloud image, right? https://pagure.io/fedora-kickstarts/blob/master/f/fedora-atomic.ks#_131

On the latest F26 AH qcow2 I could find (Fedora-Atomic-26-20170606.n.0.x86_64.qcow2), I am indeed able to enter Developer Mode. You can of course do the `bootentry add` in your own kickstart, though the goal of devmode is to provide an easy way to test out FAH with minimal setup, so it wouldn't make sense to put it e.g. in the interactive defaults ks.
Comment 4 Jonathan Lebon 2017-06-07 12:36:51 EDT
Just to clarify, the idea of Developer Mode is to bypass the need for cloud-init metadata when booting the cloud image. Obviously, if you're using the installer, cloud-init is not an issue for you in the first place. If you're creating *your own* cloud images, then you'll need to have that same `bootentry add` bit we use in Fedora AH kickstart if you'd like a Developer Mode entry.

See also:
https://fedoraproject.org/wiki/Changes/Atomic_Developer_Mode
http://www.projectatomic.io/blog/2016/03/introducing-atomic-devmode/

Feel free to re-open if I missed something!

Note You need to log in before you can comment on or make changes to this bug.